module Paginator
  extend ActiveSupport::Concern

  def paginate (model)
    set_header model
    return model.limit(limit).offset(offset) if model.respond_to?('limit')
    return model[offset..limit]
  end

  private

  def limit
    return 50 if params[:limit].blank?
    params[:limit].to_i
  end

  def offset
    return 0 if params[:offset].blank?
    params[:offset].to_i
  end

  def set_header(model)
    headers['X-Total-Count'] = model.count
  end

end
