class V1::FeedController < ApplicationController
  include ::Paginator
  before_action :authenticate_user!

  # GET v1/feed
  # GET v1/feed.json
  # Render all activities that logged user can see
  def index
    activities = paginate activities_followed
    render json: activities
  end

  private

#TODO: Tests
  def activities_followed
    activities = []
    types.each do |type|
      model = type.classify.constantize
      current_user.watching(type).each do |follow|
        followed = model.find(follow.followable_id)
        activities.push(*followed.activities.to_a)
      end
    end
    activities
  end

  def types
    ['User', 'Collection']
  end
end
