class ApplicationCreationService

  def initialize(app_id_generate_service)
    @app_id_generate_service = app_id_generate_service
  end

  def create(params={})
    Application.create! params.merge(application_id: generate_random_app_id)
  end

  private

  def generate_random_app_id
    app_id = @app_id_generate_service.generate_random
    return generate_random_app_id unless Application.find_by_application_id(app_id).blank?
    return app_id
  end

end
