class Reviews::CreateReviewService

  def execute(review, rates = [])
    if review.save && valid_rates_params?
      ReviewRating.import build_ratings(review, rates)
      return true
    end

    review.destroy
    false
  end

  private

  def build_ratings(review, rates = [])
    ratings = []
    rates.each { |id, value| ratings << ReviewRating.new(review: review, rating_id: id.to_i, value: value.to_i) }
  end

  def valid_rates_params?
    !params[:rates].blank? && params[:rates].is_a?(Hash) && params[:rates].size == Rating.count
  end

end