class ScoreCalculatorWorker
  include Sidekiq::Worker
  sidekiq_options queue: :score

  def perform(id, object_class)
    return false unless %w(User LearningObject Collection).include? object_class

    object = object_class.constantize.find(id)

    calculator = ScoreCalculatorService.new(object)

    score = calculator.calculate

    object.update(score: score) if score.is_a? Float

    object.update(user_category_id: calculator.category_by_reputation) if object_class == "User"
  end
end
