class CreateLikes < ActiveRecord::Migration[4.2]
  def change
    create_table :likes do |t|
      t.references :likeable, polymorphic: true, index: true

      t.references :user, index: true

      t.timestamps null: false
    end
    add_foreign_key :likes, :users
    add_index :likes, [:user_id, :likeable_id, :likeable_type], unique: true, name: 'user_and_likeable'
  end
end
