class CreateFollows < ActiveRecord::Migration[4.2]
  def change
    create_table :follows do |t|
      t.references :followable, polymorphic: true, index: true

      t.references :user, index: true

      t.timestamps null: false
    end
    add_foreign_key :follows, :users
    add_index :follows, [:user_id, :followable_id, :followable_type], unique: true, name: 'user_and_followable'
  end
end
