# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)
Role.create(name: 'teacher', description: 'This role represents a Teacher in Portal MEC.')
Role.create(name: 'student', description: 'This role represents a Student in Portal MEC.')
Role.create(name: 'admin', description: 'This role represents an MEC Admin, that can perform any action.')
Role.create(name: 'curator', description: 'This role represents a content Curator in Portal MEC.')

# create the default admin
User.create(
  email: 'admin@inf.ufpr.br',
  name: 'admin',
  password: '123mudar',
  roles: [Role.admin]
)

# data for portalmec
require_relative 'seeds/complaints'
require_relative 'seeds/institutions'
require_relative 'seeds/languages'
require_relative 'seeds/licenses'
require_relative 'seeds/object_types'
require_relative 'seeds/ratings'
require_relative 'seeds/scores'
require_relative 'seeds/subjects'
require_relative 'seeds/educational_stages'
