require 'test_helper'

class V1::LearningObjectsControllerTest < ActionController::TestCase
  tests V1::LearningObjectsController
  include Devise::Test::ControllerHelpers

  test 'should user tagging a learning object' do
    auth_request users(:jack)
    tag = tags(:tag_three).name

    post :tagging, params: { id: learning_objects(:user_lo).id, tag: { name: tag, owner_id: users(:jack).id, owner_type: 'User' } }
    assert_response :created
  end

  test 'should user untagging a learning object' do
    auth_request users(:jack)
    tag = tags(:tag_three).name

    post :untagging, params: { id: learning_objects(:user_lo).id, tag: { name: tag, owner_id: users(:jack).id, owner_type: 'User' } }
    assert_response :ok
  end

  test 'should institution tagging a learning object' do
    auth_request users(:jack)
    institution = institutions(:ufpr)
    institution.users << users(:jack)
    tag = tags(:tag_one).name

    post :tagging, params: { id: learning_objects(:institution_lo).id, tag: { name: tag, owner_id: users(:jack).id, owner_type: 'User' } }
    assert_response :created
  end

  test 'should institution untagging a learning object' do
    auth_request users(:jack)
    institution = institutions(:ufpr)
    institution.users << users(:jack)
    tag = tags(:tag_one).name

    post :untagging, params: { id: learning_objects(:institution_lo).id, tag: { name: tag, owner_id: users(:jack).id, owner_type: 'User' } }
    assert_response :ok
  end

end
