require 'test_helper'

class V1::ScoresControllerTest < ActionController::TestCase
  tests V1::ScoresController
  include Devise::Test::ControllerHelpers

  test 'should get index' do
    skip
  end

  test 'should show score' do
    auth_application
    score = scores(:score_19)
    get :show, params: { id: score.id }
    assert_response :ok
  end

  test 'should put score to update and return :ok code' do
    auth_request users(:jack)
    score = scores(:score_19)
    put :update, params: { score: {name: 'testing',
                         weight: 10,
                         active: true,
                         score_type: ['LearningObject']
    }, id: score.id }
    assert_response :ok
  end

  test 'do not should put score to update if user is not authenticated and then return :unauthorized code' do
    score = scores(:score_19)
    put :update, params: { score: {name: 'testing',
                         weight: 10,
                         active: true,
                         score_type: ['LearningObject']
    }, id: score.id }
    assert_response :unauthorized
  end

  test 'should put invalid score to update and return :unprocessable_entity code' do
    auth_request users(:jack)
    score = scores(:score_19)
    put :update, params: { score: {name: 'testing',
                         weight: 'addasd',
                         score_type: ['LearningObject']
    }, id: score.id }
    assert_response :unprocessable_entity
  end

end
